@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  :root {
    --border-gray: 228 231 225;
  }
}

/* CSS rules to show connectors between parent and children */

ul li {
  position: relative;
  line-height: 6em;
}

.inner-list li::before {
  position: absolute;
  left: -30px;
  top: -18px;
  border-left: 1.5px solid rgb(var(--border-gray) / 1);
  border-bottom: 1.5px solid rgb(var(--border-gray) / 1);
  border-bottom-left-radius: 5px;
  content: "";
  width: 30px;
  height: 3.5em;
}

.inner-list li::after {
  position: absolute;
  left: -30px;
  bottom: -20px;
  border-left: 1.5px solid rgb(var(--border-gray) / 1);
  content: "";
  width: 30px;
  height: 100%;
}

.inner-list li:last-child::after {
  display: none;
}
